<template>
  <div>
    <el-row>
      <el-col :span="3">
        <el-button
          icon="Edit"
          type="primary"
          @click="openNodeManage"
        >节点编辑</el-button>
      </el-col>
    </el-row>
    <el-drawer
      v-model="nodeManageShow"
      title="节点管理"
      size="50%"
    >
      <node-manage />
    </el-drawer>
  </div>
</template>

<script setup>
import NodeManage from './components/nodeManage.vue'
import { ref, onMounted } from 'vue'
import { nodeData } from '@/pinia/node/node'
defineOptions({
  name: 'FlowManage'
})
const record = nodeData()
onMounted(() => {
  // 获取节点列表
  record.queryNodeList()
})
const nodeManageShow = ref(false)
const openNodeManage = () => {
  nodeManageShow.value = true
}
</script>

<style scoped>

</style>
